Loading...
Searching...
No Matches
pcl::RangeImageBorderExtractor::Parameters Struct Reference

Parameters used in this class. More...

`#include <pcl/features/range_image_border_extractor.h>`

## Public Member Functions

| Parameters ()=default

## Public Attributes

int | max_no_of_threads {1}
int | pixel_radius_borders {3}
int | pixel_radius_plane_extraction {2}
int | pixel_radius_border_direction {2}
float | minimum_border_probability {0.8f}
int | pixel_radius_principal_curvature {2}

## Detailed Description

Parameters used in this class.

Definition at line 86 of file range_image_border_extractor.h.

## Constructor & Destructor Documentation

## Parameters()

pcl::RangeImageBorderExtractor::Parameters::Parameters | ( |  | ) |

default

## Member Data Documentation

## max_no_of_threads

int pcl::RangeImageBorderExtractor::Parameters::max_no_of_threads {1}

Definition at line 89 of file range_image_border_extractor.h.

## minimum_border_probability

float pcl::RangeImageBorderExtractor::Parameters::minimum_border_probability {0.8f}

Definition at line 93 of file range_image_border_extractor.h.

Referenced by pcl::operator<<().

## pixel_radius_border_direction

int pcl::RangeImageBorderExtractor::Parameters::pixel_radius_border_direction {2}

Definition at line 92 of file range_image_border_extractor.h.

Referenced by pcl::operator<<().

## pixel_radius_borders

int pcl::RangeImageBorderExtractor::Parameters::pixel_radius_borders {3}

Definition at line 90 of file range_image_border_extractor.h.

Referenced by pcl::operator<<().

## pixel_radius_plane_extraction

int pcl::RangeImageBorderExtractor::Parameters::pixel_radius_plane_extraction {2}

Definition at line 91 of file range_image_border_extractor.h.

Referenced by pcl::operator<<().

## pixel_radius_principal_curvature

int pcl::RangeImageBorderExtractor::Parameters::pixel_radius_principal_curvature {2}

Definition at line 94 of file range_image_border_extractor.h.

Referenced by pcl::operator<<().

The documentation for this struct was generated from the following file:

- pcl/features/range_image_border_extractor.h